Welcome

EXEsafe is a security program designed to limit access to a number of programs using a variety of different methods.

This help file will help you to start using EXEsafe and to use it more effectively.

Click on one of the options below to learn more:

  • Features
  • Information
  • How to...
  • Troubleshooting


Information

This section contains general information about EXEsafe, and also the contact details of TBYsoftware, along with registration details.

  • Features - The abilites of EXEsafe
  • License - The agreement accepted when installing
  • Contacting Us - Details of TBYsoftware
  • Registration - Information on registering EXEsafe
  • TBYsoftware Website - View our website from within this helpfile
  • Uninstallation - Help on uninstalling EXEsafe
See Also:

How to...

Troubleshooting


Features

Information :: Features

EXEsafe has a number of features designed to make security simple and effective.

The features are as follows:

  • Highly secure 'Blowfish' encryption algorithm used
  • EXEsafe itself can be protected
  • The ability to change the message reported on access failure
  • Lock using combination of password, time and user
  • Attractive and easy to use interface
  • Drag and drop support
  • Context support
  • Full support via email


License

Information :: License

By installing EXEsafe you accepted the following license:

EXEsafe is shareware.

THIS IS A LEGALLY BINDING AGREEMENT BETWEEN YOU AND TBYSOFTWARE BY INSTALLING, COPYING OR OTHERWISE USING ANY OF OUR SOFTWARE PRODUCTS INCLUDING UPGRADES, SOURCE CODE AND RELATED DOCUMENTATION FOR ANY PURPOSE, YOU ARE AGREEING TO BE BOUND BY THIS LICENCE INCLUDING WITHOUT LIMITATION THE EXCLUSIONS AND LIMITATIONS OF OUR LIABILITY CONTAINED THEREIN. IF YOU DO NOT AGREE WITH THE TERMS AND CONDITIONS OF THIS LICENCE YOU MAY NOT INSTALL COPY OR OTHERWISE USE ANY OF OUR SOFTWARE.

(1)GRANT OF LICENCE
Our Software is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties. Our Software is licenced, not sold. You are not permitted to install or use Our Software except in accordance with this licence. In consideration of your agreement to the terms of this Licence TBYsoftware grants you a non-exclusive right ('Licence') to install and use Our Software as permitted by this Licence.
YOU ARE PERMITTED:
1.1 to install, store and use only one copy of Our Software on one computer at any one time and not via any network or by means of remote or other access except as otherwise agreed between us in writing in advance;
1.2 to use any of Our Software that performs anti-piracy or other protection functions in the manner specified in the documentation accompanying Our Software - to protect other software which you are using yourself or are licensing to third parties;
1.3 to use Our Software in the manner specified in the accompanying documentation to enable third parties to evaluate and demonstrate other software which you are licensing to third parties within a given time period;
1.4 to make a back-up copy of Our Software in support of your permitted use of Our Software provided you label the back-up copy with the TBYsoftware copyright notice-any other copies of the whole or any part of Our Software are unlawful; and
1.5 to use Our Software for your personal use or in your business or profession - permitting unauthorised access to, copying or use of Our Software is a breach of this Licence;
1.6 to pass on Our Software to other parties in its original installation form.
YOU MAY NOT PERMIT OR ALLOW OTHERS TO:
1.7 install, use or copy Our Software except as permitted by this Licence;
1.8 transfer or assign or sub-licence Our Software or this Licence on a permanent or temporary basis to any other party;
1.9 sell, distribute, rent, loan, lease, sub-licence or otherwise deal in Our Software;
1.10 alter, adapt, merge, modify or translate Our Software in any way for any purpose, including, without limitation, for error correction;
1.11 reverse-engineer, disassemble or decompile Our Software except that you may decompile Our Software only to the extent permissible by law where this is indispensable to obtain the information necessary to achieve the interoperability of an independently created program with Our Software or with another program and provided always such information is not readily available from TBYsoftware or elsewhere;
1.12 remove, change or obscure any product identification or notices of proprietary rights and restrictions on or in Our Software; or
1.13 copy or distribute the documentation accompanying Our Software except as reasonably required for internal use;

(2)TERM & TERMINATION
2.1 This Licence will continue until terminated. You may terminate it at any time by destroying or returning to TBYsoftware Our Software together with all copies in any form.
2.2 This Licence to use Our Software will terminate immediately if you fail to comply with any of its terms. This Licence will also terminate immediately if you become bankrupt, go into liquidation, suffer or make any winding up petition, make an arrangement with your creditors, have an administrator, administrative receiver or receiver appointed or suffer or file any similar action in consequence of debt.
2.3 Upon termination of this Licence for any reason you will destroy Our Software together with all copies in any form, including copies on your hard and back-up disks.

YOU ACKNOWLEDGE THAT YOU HAVE READ AND UNDERSTOOD THIS LICENCE AND AGREE TO BE BOUND BY ITS TERMS AND CONDITIONS

(C) COPYRIGHT TBYSOFTWARE ALL RIGHTS RESERVED
Website: http://www.tbysoftware.com/
Email: tby@tbysoftware.com

License Generated by Activelinx-Designs
http://www.activelinx.co.uk


Contacting Us

Information :: Contacting Us

EXEsafe is made by TBYsoftware. If you wish to contact us, use one of the following e-mail addresses:

General Enquiries: general@tbysoftware.com

Software Support: support@tbysoftware.com

Purchasing Help: sales@tbysoftware.com

The website of TBYsoftware can be found in the following location:

http://www.tbysoftware.com/

You can also access the website from within this helpfile from the TBYsoftware website topic.


Registration

Information :: Registration

EXEsafe can be registered for only $16, with the registration company Regsoft.

Registration will allow you to lock more than one program, protect EXEsafe, and will remove any registration notes/menus from the program.

To register, please go to the following web address:

http://www.regsoft.net/purchase.php3?productid=47999

This will contain details of registering over the Internet, telephone and by fax. Note that you must have a valid email address in order to receive the registration key.

Once you have received your key, go to the 'Enter Key' item under 'Register'. Enter the key in the box (or copy and paste). Click 'OK'. If the key is valid, it will be saved and EXEsafe will restart, being a registered version.


Uninstallation

Information :: Uninstallation

To uninstall EXEsafe, you can either click on the Uninstall option in its group on the start menu, or you can select it from the Add/Remove Programs control panel box.

Follow the screens through, and the EXEsafe files will be removed. However, for security reasons, all locks will remain, along with any other options, such as the password for EXEsafe. To remove the locks, you must reinstall EXEsafe and unlock them.

See Also:

Troubleshooting


How to...

This section contains details on using EXEsafe in various ways.

  • Lock a Program - Protect a program
  • Unlock a Program - Remove a program's protection
  • Use a Locked Program - Using a protected program
  • Protect EXEsafe - Password protect EXEsafe itself
  • Advanced Use of EXEsafe - Using advanced features of EXEsafe
See Also:

Information

Troubleshooting


Lock a Program

How to... :: Lock a Program

To lock a program, first click on the 'Lock' button, or select 'Lock' from the 'Program' menu.

The following dialog appears:

First, you must enter the file you wish to use. The easiest way to do this is to click on the folder icon - a dialog will a appear where you will be able to select a program.

If you used the folder icon, a name will automatically be entered, otherwise, you must now enter a name that describes the program.

You now have the option of either locking by a combination of password, time and user. By default, password will be checked, but this can be changed by clicking on the appropriate checkboxes. Note that at least one method must be used.

If you have checked the 'Use a password' box, you must enter a password. It can contain any character, and it must be 8-31 characters long. Note that passwords are case sensitive; we recommend you use all lower case or all upper case, and check the Caps Lock. The password must be reentered to make sure you have entered the your desired word.

Tips for passwords:

  • Do not use your name or a name of a place/friend/pet/relative
  • Do not use one of the above reversed, etc.
  • Do use a random collection of letters and numbers
  • Do use a word which has no other significance in your life

If you have checked the 'Use a time lock' box, you must select the times between which the program is password protected/disabled (depending on the 'Use a password' box). The time at which this occurs is starting at and including the first time, up to but not including the second time; 7 PM to 8 PM will protect the program for one hour. Note that with this option selected, an encrypted version of the password is stored in the file.

If you have checked the user lock box, the program will be password protected/disabled (depending on the 'Use a password' box) when the user that tries to run the program is not the user that protected it. Note that you cannot tick this when using the computer with no username, and, with this option selected, an encrypted version of the password is stored in the file.

If you want to change the message show when someone fails to pass these measures, click on the page icon at the bottom. A new window will open, allowing you to change the message. Click 'OK' to apply the changes.

Click 'OK' to lock the program. If you entered valid options, the program will be encrypted and locked. If not, a message will be shown revealing the problem, and you will have the opportunity to fix it before attempting to lock again.

Remember to keep the installation disks for the program well hidden - if the program is reinstalled, the lock is overwritten.

See Also:

Use a Locked Program

Protect EXEsafe

Troubleshooting


Unlock a Program

How to... :: Unlock a Program

To unlock a program, simply click on the program you want to lock within EXEsafe, and then click 'Unlock'.

You must pass all requirements as if you were using the program - you must be using the correct user name, at the correct time, and with the correct password, depending which are required. If you fail to pass all these, the program will remain locked.

See Also:

Troubleshooting


Use a Locked Program

How to... :: Use a Locked Program

Using a locked program is the same as using the program when it is unlocked - simply open its program file or a link to it. Before the program is run, EXEsafe will determine if you are able to run the program, and ask for passwords if required.

If a program has been moved, it will update its new position in EXEsafe. If, for some reason it becomes unlocked or invalid, it will also be removed from EXEsafe.


Protect EXEsafe

How to... :: Protect EXEsafe

EXEsafe itself can be protected. By selecting 'Protect EXEsafe' under the 'Program' menu, a new window will appear. Ticking the 'Protect EXEsafe' checkbox will allow you to enter a password, up to 31 characters in length. The next time EXEsafe is run, it will ask for the password before entering the program.

To change the password, or disable it, open the 'Protect EXEsafe' window again, and change the password, or untick the checkbox.

Note that this protection is only intended to be an extra obstacle - it does not encrypt EXEsafe. It will stop the majority of undesired people from accessing the program.

See Also:

Lock a Program


Advanced Use of EXEsafe

How to... :: Advanced Use of EXEsafe

There are a few more advanced features to make EXEsafe easier to user.

Drag and Drop

If you drag a program onto the main window of EXEsafe, it will automatically open the lock program dialog, with the filename and name filled in automatically.

Context Support

If you right click on an EXE file, there will be the added option of 'Lock'. Clicking this will automatically open EXEsafe at the lock program dialog, with the filename and name already filled in.

Right Click in EXEsafe

Right clicking on the program list in EXEsafe will bring up a menu containing the options of 'Lock' and 'Unlock'. It also contains the option to refresh the user list; use this something changes while EXEsafe is running. It will revalidate all locked programs.


Troubleshooting

If you encounter any troubles, please check this list. It is presented in a question and answer style format.

I set a password, but when I try to use it, it doesn't work

Chances are that you are using a different case. EXEsafe is case sensitive - "password" is different to "PASSWORD". Try capitalising the phrase, or just the first letter.

When I try to lock a program, it says "Unable to open file for writing"

This can occur for a number of reasons. If the program file itself (not just the data) is on a CD-ROM, it cannot be locked. This may also happen if the program has its 'read only' option set - you will need to change this in its properties. The final reason for this error is if the program is running - for instance, if notepad is open and running, you will not be able to lock it.

I cannot lock with a username

Your computer must be set to have users, and you must also be logged on as a user in order to lock with a username. If not, this option will be disabled.

I have locked a file and cannot remember the password

Your easiest option is to reinstall the program. Failing that, try emailing the locked program file to unlock@tbysoftware.com with your details. We may be able to remove the lock, however, with password only locks, this is impossible. There will be at least a 2 week delay and we may check on your details for security reasons.

I'm still stuck

If you are still having problems, contact us.